app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', 'WelcomeController@index');

Route::get('home', 'HomeController@index');

Route::controllers([
	'auth' => 'Auth\AuthController',
	'password' => 'Auth\PasswordController'
]);

//Entidad Genero---------------------------------------------------------------------------------

Route::resource('genero', 'GeneroController');

Route::get('genero/destroy/{id}', ['as'=>'genero/destroy', 'uses'=>'GeneroController@destroy']);

Route::post('genero/search', ['as'=>'genero/search', 'uses'=>'GeneroController@search']);

//Entidad Movie----------------------------------------------------------------------------------

Route::resource('movie', 'MovieController');

Route::get('movie/destroy/{id}', ['as'=>'movie/destroy', 'uses'=>'MovieController@destroy']);

Route::post('movie/search', ['as'=>'movie/search', 'uses'=>'MovieController@search']);
Route::post('movie/store', ['as'=>'movie/store', 'uses'=>'MovieController@store']);

//Entidad Empleado-------------------------------------------------------------------------------

Route::resource('empleado', 'EmpleadoController');

Route::get('empleado/destroy/{id}', ['as'=>'empleado/destroy', 'uses'=>'EmpleadoController@destroy']);

Route::post('empleado/search', ['as'=>'empleado/search', 'uses'=>'EmpleadoController@search']);

//Entidad Cliente-------------------------------------------------------------------------------

Route::resource('cliente', 'ClienteController');

Route::get('cliente/destroy/{Id}', ['as'=>'cliente/destroy', 'uses'=>'ClienteController@destroy']);

Route::post('cliente/search', ['as'=>'cliente/search', 'uses'=>'ClienteController@search']);

//Entidad Venta---------------------------------------------------------------------------------

Route::resource('venta', 'VentaController');

Route::get('venta/destroy/{Id}', ['as'=>'venta/destroy', 'uses'=>'VentaController@destroy']);

Route::post('venta/search', ['as'=>'venta/search', 'uses'=>'VentaController@search']);

Route::post('venta/store', ['as'=>'venta/store', 'uses'=>'VentaController@store']);

app/Models/Cliente.php
<?php namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Cliente extends Model {

	protected $table = 'clientes';
	protected $filliable = ['identificacion','nombre', 'telefono', 'direccion', 'correo'];
	protected $guarded = ['id'];
}

app/Http/Controllers/ClienteController.php
<?php namespace App\Http\Controllers;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\Cliente as Cliente;
use Illuminate\Http\Request;

class ClienteController extends Controller {

	/**
	 * Display a listing of the resource.
	 *
	 * @return Response
	 */
	public function index()
	{
		$clientes = Cliente::all();
		return \View::make('Cliente/list', compact('clientes'));
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return Response
	 */
	public function create()
	{
		return \View::make('Cliente/new');
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @return Response
	 */
	public function store(Request $request)
	{
		$cliente = new Cliente;
		$cliente->identificacion = $request->identificacion;
		$cliente->nombre = $request->nombre;
		$cliente->telefono = $request->telefono;
		$cliente->correo = $request->correo;
		$cliente->direccion = $request->direccion;
		$cliente->save();
		return redirect('cliente');
	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function show($id)
	{
		//
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function edit($id)
	{
		$cliente = Cliente::find($id);
		return \View::make('Cliente/update', compact('cliente'));
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function update(Request $request)
	{		
		$cliente = CLiente::find($request->id);
		$cliente->nombre = $request->nombre;
		$cliente->telefono = $request->telefono;
		$cliente->correo = $request->correo;
		$cliente->direccion = $request->direccion;
		$cliente->save();
		return redirect('cliente');
	}

	public function search(Request $request)
	{
		$clientes = Cliente::where('nombre','like','%'.$request->name.'%')->get();
		return \View::make('Cliente/list', compact('clientes'));
	}
	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function destroy($id)
	{
		$cliente = Cliente::find($id);
		$cliente->delete();
		return redirect()->back();
	}

}

resources/views/Cliente/list.blade.php
@extends('app')
@section('content')
<div class="container">
	<div class="row">
		{!! Form::open(['route'=>'cliente/search', 'method'=>'post', 'novalidate', 'class'=>'form-inline'])!!}
		<div class="form-group">
			<label for="exampleInputName2">Nombre</label>
			<input type="text" class="form-control" name="name">
		</div>
		<button type="submit" class="btn btn-default">Buscar</button>
		<a href="{{ route('cliente.index') }}" class="btn btn-primary">Todos</a>
		<a href="{{ route('cliente.create') }}" class="btn btn-primary">Registrar</a>
		{!! Form::close() !!}
		<br>
		<table class="table table-condensed table-striped table-bordered">
			<thead>
				<tr>
					<th>Identificacion</th>
					<th>Nombre</th>
					<th>Telefono</th>
					<th>Direccion</th>
					<th>Correo</th>
					<th>Accion</th>
				</tr>
			</thead>
			<tbody>
				@foreach($clientes as $cliente)
				<tr>
					<td>{{ $cliente->identificacion }}</td>
					<td>{{ $cliente->nombre }}</td>
					<td>{{ $cliente->telefono}}</td>
					<td>{{ $cliente->direccion}}</td>
					<td>{{ $cliente->correo}}</td>
					<td>
						<a class="btn btn-primary btn-xs" href="{{ route('cliente.edit',['id'=>$cliente->id])}}">Editar</a>
						<a class="btn btn-danger btn-xs" href="{{ route('cliente/destroy',['id'=>$cliente->id]) }}">Borrar</a>
					</td>
				</tr>
				@endforeach
			</tbody>
		</table>
	</div>
</div>
@endsection

resources/views/Cliente/new.blade.php
@extends('app')
@section('content')
<div class="container">
	<div class="row">
		<div class"col-md-10 col-md-offset-1">
			{!! Form::open(['route' => 'cliente.store', 'method' => 'post', 'novalidate']) !!}
			<div class="Form-group">
				{!! Form::label('lb_id', 'Identificacion')!!}
				{!! Form::text('identificacion', null, ['class'=>'form-control', 'required' => 'required'])!!}
			</div>
			<div class="Form-group">
				{!! Form::label('lb_nombre', 'Nombre')!!}
				{!! Form::text('nombre', null, ['class' => 'form-control', 'required' => 'required'])!!}
			</div>
			<div class="Form-group">
				{!! Form::label('lb_telefono', 'Telefono')!!}
				{!! Form::text('telefono', null, ['class'=>'form-control', 'required' => 'required'])!!}
			</div>
			<div class="Form-group">
				{!! Form::label('Lb_direccion', 'Direccion')!!}
				{!! Form::text('direccion', null, ['class'=>'form-control', 'required' => 'required'])!!}
			</div>
			<div class="Form-group">
				{!! Form::label('lb_correo', 'Correo')!!}
				{!! Form::text('correo', null, ['class'=>'form-control', 'required' => 'required'])!!}
			</div>
			<div class="Form-group">
				{!! Form::submit('Enviar', ['class'=>'btn btn-success'])!!}
			</div>
			<div>
				{!! Form::close()!!}
			</div>
		</div>
	</div>
</div>
@endsection

resources/views/Cliente/update.blade.php
@extends('app');
@section('content')
<div class="container">
	<div class="row">
		<div class="col-md-10 col-md-offset-1">
			{!! Form::model($cliente, ['route' => 'cliente.update', 'method' => 'put', 'novalidate'])!!}
			{!! Form::hidden('id', $cliente->id)!!}
			<div class="form-group">
				{!! Form::label('lb_nombre', 'Nombre')!!}
				{!! Form::text('nombre', null, ['class' => 'form-control','required' => 'required'])!!}
			</div>
			<div class="form-group">
				{!! Form::label('lb_telefono', 'Telefono')!!}
				{!! Form::text('telefono', null, ['class' => 'form-control','required' => 'required'])!!}
			</div>
			<div class="form-group">
				{!! Form::label('lb_direccion', 'Direccion')!!}
				{!! Form::text('direccion', null, ['class' => 'form-control','required' => 'required'])!!}
			</div>
			<div class="form-group">
				{!! Form::label('lb_correo', 'Correo')!!}
				{!! Form::text('correo', null, ['class' => 'form-control','required' => 'required'])!!}
			</div>
			<div class="form-group">
				{!! Form::submit('Enviar', ['class' => 'btn btn-success'])!!}
			</div>
			{!! Form::close()!!}
		</div>
	</div>
</div>
@endsection